Package org.h2.store.fs.split

# Class FilePathSplit

java.lang.Object
org.h2.store.fs.FilePath
org.h2.store.fs.FilePathWrapper
org.h2.store.fs.split.FilePathSplit

public class FilePathSplit extends FilePathWrapper
A file system that may split files into multiple smaller files. (required for a FAT32 because it only support files up to 2 GB).

## Field Summary

### Fields inherited from class org.h2.store.fs.FilePath

`name`

## Constructor Summary

Constructors
Constructor
Description
`FilePathSplit()`

## Method Summary

Modifier and Type
Method
Description
`void`
`delete()`
Delete a file or directory if it exists.
`protected String`
`getPrefix()`
`String`
`getScheme()`
Get the scheme (prefix) for this file provider.
`long`
`lastModified()`
Get the last modified date of a file
`void`
`moveTo(FilePath path, boolean atomicReplace)`
Rename a file if this is allowed.
`ArrayList<FilePath>`
`newDirectoryStream()`
List the files and directories in the given directory.
`InputStream`
`newInputStream()`
Create an input stream to read from the file.
`OutputStream`
`newOutputStream(boolean append)`
Create an output stream to write into the file.
`FileChannel`
`open(String mode)`
Open a random access file object.
`boolean`
`setReadOnly()`
Disable the ability to write.
`long`
`size()`
Get the size of a file in bytes
`FilePath`
`unwrap(String fileName)`
Get the base path for the given wrapped path.

### Methods inherited from class org.h2.store.fs.FilePathWrapper

`canWrite, createDirectory, createFile, createTempFile, exists, getBase, getParent, getPath, isAbsolute, isDirectory, isRegularFile, toRealPath, unwrap, wrap`

### Methods inherited from class org.h2.store.fs.FilePath

`get, getName, newFileChannelOutputStream, register, toString, unregister`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### FilePathSplit

public FilePathSplit()

## Method Details

### getPrefix

protected String getPrefix()

Overrides:
  `getPrefix` in class `FilePathWrapper`

### unwrap

public FilePath unwrap(String fileName)
Description copied from class: `FilePathWrapper`
Get the base path for the given wrapped path.

Overrides:
  `unwrap` in class `FilePathWrapper`
Parameters:
  `fileName` - the path including the scheme prefix
Returns:
  the base file path

### setReadOnly

public boolean setReadOnly()
Description copied from class: `FilePath`
Disable the ability to write.

Overrides:
  `setReadOnly` in class `FilePathWrapper`
Returns:
  true if the call was successful

### delete

public void delete()
Description copied from class: `FilePath`
Delete a file or directory if it exists. Directories may only be deleted if they are empty.

Overrides:
  `delete` in class `FilePathWrapper`

### lastModified

public long lastModified()
Description copied from class: `FilePath`
Get the last modified date of a file

Overrides:
  `lastModified` in class `FilePathWrapper`
Returns:
  the last modified date

### size

public long size()
Description copied from class: `FilePath`
Get the size of a file in bytes

Overrides:
  `size` in class `FilePathWrapper`
Returns:
  the size in bytes

### newDirectoryStream

public ArrayList<FilePath> newDirectoryStream()
Description copied from class: `FilePath`
List the files and directories in the given directory.

Overrides:
  `newDirectoryStream` in class `FilePathWrapper`
Returns:
  the list of fully qualified file names

### newInputStream

public InputStream newInputStream() throws IOException
Description copied from class: `FilePath`
Create an input stream to read from the file.

Overrides:
  `newInputStream` in class `FilePathWrapper`
Returns:
  the input stream
Throws:
  `IOException` - If an I/O error occurs

### open

public FileChannel open(String mode) throws IOException
Description copied from class: `FilePath`
Open a random access file object.

Overrides:
  `open` in class `FilePathWrapper`
Parameters:
  `mode` - the access mode. Supported are r, rw, rws, rwd
Returns:
  the file object
Throws:
  `IOException` - If an I/O error occurs

### newOutputStream

public OutputStream newOutputStream(boolean append) throws IOException
Description copied from class: `FilePath`
Create an output stream to write into the file.

Overrides:
  `newOutputStream` in class `FilePathWrapper`
Parameters:
  `append` - if true, the file will grow, if false, the file will be truncated first
Returns:
  the output stream
Throws:
  `IOException` - If an I/O error occurs

### moveTo

public void moveTo(FilePath path, boolean atomicReplace)
Description copied from class: `FilePath`
Rename a file if this is allowed.

Overrides:
  `moveTo` in class `FilePathWrapper`
Parameters:
  `path` - the new fully qualified file name
  `atomicReplace` - whether the move should be atomic, and the target file should be replaced if it exists and replacing is possible

### getScheme

public String getScheme()
Description copied from class: `FilePath`
Get the scheme (prefix) for this file provider. This is similar to `java.nio.file.spi.FileSystemProvider.getScheme`.

Specified by:
  `getScheme` in class `FilePath`
Returns:
  the scheme